MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026138Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-04-24 11:282015-11-27 14:30
Reporterika 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0026138: Problems with writing periodic BSplines into IGES
DescriptionAfter write and read operations some periodic BSplines changes its geometry: additional knots appear, surface becomes rational, therefore faces on these surfaces have problems with pcurves and change the form.

In the attached picture there are screens of the initial face, the face after writing-reading, and both faces to show difference.
Steps To Reproduceigesbrep Torus.igs a *
brepiges a a.igs
igesbrep a.igs b *

a and b are not similar.
TagsNo tags attached.
Test case numberbugs iges bug26138
Attached Files? file icon Torus.igs (18,616 bytes) 2015-04-24 11:28
png file icon Periodic_BSpline.png (310,483 bytes) 2015-04-24 11:30

- Relationships
related to 0026931closedbugmaster Community [Regression in 6.9.0] Exporting a face throws an exception 

-  Notes
(0040206)
git (administrator)
2015-04-24 12:58

Branch CR26138 has been created by ika.

SHA-1: 5e483bc1f82f3f8898ab9ebd00a0ac8b6914465f


Detailed log of new commits:

Author: ika
Date: Fri Apr 24 12:57:49 2015 +0300

    0026138: Problems with writing periodic BSplines into IGES
    Remove making BSpline surfaces rational,
    Add shifting of pcurves on periodic BSpline surfaces,
    Add cutting of segment from such surfaces.
(0040207)
ika (developer)
2015-04-24 12:59

Dear GKA,
could you please review branch CR26138?
(0040217)
git (administrator)
2015-04-24 16:27

Branch CR26138 has been updated forcibly by ika.

SHA-1: 65115c36b6ff4f01360db5e9541e2e6306e13df0
(0040220)
gka (developer)
2015-04-24 16:47

Branch CR26138 is ready to be tested
(0040230)
git (administrator)
2015-04-24 17:39

Branch CR26138 has been updated forcibly by apv.

SHA-1: 7a995f658f974f0b096d6673dd0b0e26c692501b
(0040231)
apv (tester)
2015-04-24 17:39

Branch CR26138 has been rebased on the current master
(0040337)
apv (tester)
2015-04-28 13:00

Dear BugMaster,

Branch CR26138 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 7a995f658f974f0b096d6673dd0b0e26c692501b

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 4 (4 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR26138-master-occt-64/Debian60-64/summary.html [^]
http://occt-tests/CR26138-master-occt-64/Windows-64-VC10/summary.html [^]
de iges_1(001) H5, H6 (possible improvements), H7, K9, O4, P6, P7, Q3, Q4, Q5, R7
de iges_2(002) A5, E6 (possible improvements), F9
de iges_3(003) A7

Testing on Linux:
Total MEMORY difference: 92999692 / 92859690 [+0.15%]
Total CPU difference: 54355.64999999976 / 49780.489999999496 [+9.19%]

Testing on Windows:
Total MEMORY difference: 56330472 / 55965832 [+0.65%]
Total CPU difference: 15932.148128498831 / 15393.102273098917 [+3.50%]
(0040347)
ika (developer)
2015-04-28 14:36

Dear APV,

These tests are not regressions, but new behavior, could you please update reference data?
(0040503)
git (administrator)
2015-04-30 16:49

Branch CR26138 has been updated by apv.

SHA-1: 0aa2d932fddbfa1d4c3b1e50acd83c5971e58484


Detailed log of new commits:

Author: apv
Date: Thu Apr 30 16:49:02 2015 +0300

    Update of test-cases according to the new behavior

(0041108)
git (administrator)
2015-05-14 16:37

Branch CR26138 has been deleted by inv.

SHA-1: 0aa2d932fddbfa1d4c3b1e50acd83c5971e58484

- Related Changesets
occt: master 31024507
Timestamp: 2015-04-30 14:04:07
Author: ika
Committer: bugmaster
Details ] Diff ]
0026138: Problems with writing periodic BSplines into IGES

Remove making BSpline surfaces rational,
Add shifting of pcurves on periodic BSpline surfaces,
Add cutting of segment from such surfaces.
Add additional check for need of make segment

Update of test-cases according to the new behavior
mod - src/BRepToIGES/BRepToIGES_BRWire.cxx Diff ] File ]
mod - src/GeomToIGES/GeomToIGES_GeomSurface.cxx Diff ] File ]
add - tests/bugs/iges/bug26138 Diff ] File ]
mod - tests/de/iges_1/H5 Diff ] File ]
mod - tests/de/iges_1/H6 Diff ] File ]
mod - tests/de/iges_1/H7 Diff ] File ]
mod - tests/de/iges_1/K9 Diff ] File ]
mod - tests/de/iges_1/O4 Diff ] File ]
mod - tests/de/iges_1/P6 Diff ] File ]
mod - tests/de/iges_1/P7 Diff ] File ]
mod - tests/de/iges_1/Q3 Diff ] File ]
mod - tests/de/iges_1/Q4 Diff ] File ]
mod - tests/de/iges_1/Q5 Diff ] File ]
mod - tests/de/iges_1/R7 Diff ] File ]
mod - tests/de/iges_2/A5 Diff ] File ]
mod - tests/de/iges_2/E6 Diff ] File ]
mod - tests/de/iges_2/F9 Diff ] File ]
mod - tests/de/iges_3/A7 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-04-24 11:28 ika New Issue
2015-04-24 11:28 ika Assigned To => ika
2015-04-24 11:28 ika File Added: Torus.igs
2015-04-24 11:29 ika Summary Problems with writind periodic BSplines into IGES => Problems with writing periodic BSplines into IGES
2015-04-24 11:30 ika File Added: Periodic_BSpline.png
2015-04-24 12:58 git Note Added: 0040206
2015-04-24 12:59 ika Note Added: 0040207
2015-04-24 12:59 ika Assigned To ika => gka
2015-04-24 12:59 ika Status new => resolved
2015-04-24 16:27 git Note Added: 0040217
2015-04-24 16:47 gka Note Added: 0040220
2015-04-24 16:47 gka Assigned To gka => bugmaster
2015-04-24 16:47 gka Status resolved => reviewed
2015-04-24 17:13 apv Assigned To bugmaster => apv
2015-04-24 17:39 git Note Added: 0040230
2015-04-24 17:39 apv Note Added: 0040231
2015-04-28 13:00 apv Note Added: 0040337
2015-04-28 13:00 apv Assigned To apv => ika
2015-04-28 13:00 apv Status reviewed => assigned
2015-04-28 14:36 ika Note Added: 0040347
2015-04-28 14:36 ika Assigned To ika => apv
2015-04-28 14:36 ika Status assigned => feedback
2015-04-30 16:49 git Note Added: 0040503
2015-04-30 16:49 apv Assigned To apv => bugmaster
2015-04-30 16:49 apv Status feedback => tested
2015-04-30 16:58 apv Test case number => bugs iges bug26138
2015-05-07 11:18 bugmaster Changeset attached => occt master 31024507
2015-05-07 11:18 bugmaster Status tested => verified
2015-05-07 11:18 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-14 16:37 git Note Added: 0041108
2015-11-27 14:30 abv Relationship added related to 0026931


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker